import React, { useState } from 'react';
import { LoadingOutlined, PlusOutlined, CloudUploadOutlined } from '@ant-design/icons';
import { Button } from "antd";
import { useTranslation } from 'react-i18next';
import Upload from './Upload';
import "./style.less";

export default (props) => {
  const { value, onChange } = props;
  const { t } = useTranslation();

  const [loading, setLoading] = useState(false);
  const [name, setName] = useState();

  function beforeUpload (file) {

    // const isImage = file.type === 'image/jpeg' || file.type === 'image/png'||file.type==='image/gif';
    // if (!isImage) {
    //   message.error('请上传 JPG , PNG或GIF 图片!');
    // }
    // const isLt10M = file.size / 1024 / 1024 < 10;
    // if (!isLt10M) {
    //   message.error('图片大小必须小于 10MB!');
    // }

    // return isImage && isLt10M;
    return true;
  }

  const UploadButton = (props) => (
    <div style={{ textAlign: 'center', width: '260px' }}>
      {props.loading ? <LoadingOutlined /> : <CloudUploadOutlined style={{ fontSize: '30px', color: '#1890ff' }} />}
      <div style={{ marginTop: 8, fontSize: '16px', color: '#1890ff', fontWeight: 600 }}>{t('authentication.uploadText')}</div>
    </div>
  );

  const handleChange = info => {
    if (info.file.status === 'uploading') {
      setLoading(true);
      return;
    }
    if (info.file.status === 'error') {
      setLoading(false);
      return;
    }

    if (info.file.status === 'done') {
      setLoading(false);
      const { url, fileType } = info.file.response;
      onChange(url);
      setName(info.file.name);
    }
  };

  return (
    <>

      {/* <div style={{ marginTop: '40px', fontSize: '16px' }}>{t('authentication.uploadTitle1')}</div> */}
      <div style={{ display: 'flex', alignItem: 'stretch' }}>
        <div className="authentication-right-upload-box">
          <Upload
            // accept=".pdf"
            className="image-uploader"
            showUploadList={false}
            onChange={handleChange}
            beforeUpload={beforeUpload}
          >
            {
              value ? <div style={{ fontSize: '18px' }}>{name}</div> : <UploadButton loading={loading} />
            }
          </Upload >
        </div>
        <div style={{ flex: 1.2 }}>
          <div style={{ padding: '0 15px', color: '#bfbfbf' }}>{t('authentication.uploadPromptText1')}</div>
          <div style={{ padding: '0 15px', color: '#bfbfbf' }}>{t('authentication.uploadPromptText2')}</div>
          <div style={{ padding: '0 15px', color: '#bfbfbf' }}>{t('authentication.uploadPromptText3')}</div>
          <Button type="link">{t('authentication.uploadBtnText')}</Button>
        </div>
      </div>
    </>
  )
}