import React from "react";
import { Divider, Card, Steps, Button, Radio, Form, Input, Row, Col, Select, Image } from "antd";
import { useTranslation } from 'react-i18next';
import useBool from "@/utils/hooks/useBool";
import { postTaCompanyRealName } from "@/services/taCompanyRealName";

export default (props) => {

  const { index, setIndex } = props;
  const { t } = useTranslation();
  const [form] = Form.useForm();

  const onFinish = (values) => {
    postTaCompanyRealName(values).then((res) => {
      setIndex(index + 1);
    });
  };

  return (
    <>
      <div style={{ fontSize: '24px', fontWeight: '400' }}>{t('authentication.AuthenticationTitle')}</div>
      <Card bordered={false} style={{ width: '900px' }}>
        <div style={{ fontSize: '16px', fontWeight: '600' }}>{t('authentication.AuthenticationContent1')}</div>
        <Form
          form={form}
          size="large"
          layout="vertical"
          onFinish={onFinish}
          style={{ marginTop: '4em' }}
          wrapperCol={{ span: 14 }}
        >
          <Form.Item label={t('authentication.AuthenticationLabel1')} name="registrationLocation">
            <Select placeholder={t('authentication.AuthenticationPlaceholder3')}>
              <Select.Option value="中国大陆">中国大陆</Select.Option>
            </Select>
          </Form.Item>
          <Form.Item label={t('authentication.AuthenticationLabel2')} name="companyNameCn">
            <Input placeholder={t('authentication.AuthenticationPlaceholder1')} />
          </Form.Item>
          <div style={{ fontSize: '11px', color: '#bfbfbf', marginTop: '-20px' }}>{t('authentication.AuthenticationTip')}</div>
          <Form.Item label={t('authentication.AuthenticationLabel3')} name="companyNameEn">
            <Input placeholder={t('authentication.AuthenticationPlaceholder2')} />
          </Form.Item>
          <Form.Item label={t('authentication.AuthenticationLabel4')} name="isListedCompany">
            <div style={{ marginTop: '-24px' }}>
              <Radio.Group>
                <Radio value={1}>{t('authentication.AuthenticationYes')}</Radio>
                <Radio value={0}>{t('authentication.AuthenticationNo')}</Radio>
              </Radio.Group>
            </div>
          </Form.Item>
          <Form.Item style={{ marginTop: '24px' }}>
            <Button
              type="primary"
              size="large"
              htmlType="submit"
            >{t('authentication.AuthenticationBtn')}</Button>
          </Form.Item>
        </Form>
      </Card>
    </>
  )
}