import React from "react";
import { Divider, Card, Steps, Button, Radio, Form, Input, Row, Col, Select, Image } from "antd";
import { useTranslation } from 'react-i18next';
import { postTaCompanyInfo } from "@/services/taCompanyInfo";
import "../style.less";

export default (props) => {
  const { index, setIndex } = props;
  const { t } = useTranslation();
  const [form] = Form.useForm();

  const onFinish = (values) => {
    // console.log('values', values);
    // postTaCompanyInfo(values).then((res) => {
    setIndex(index + 1);
    // });
  };

  return (
    <>
      <div style={{ fontSize: '24px', fontWeight: '400' }}>{t('authentication.stepsTitle2')}</div>
      <Form
        form={form}
        layout="vertical"
        onFinish={onFinish}
        size="large"
      >
        <Card bordered={false} style={{ width: '900px', marginBottom: '24px' }}>
          {/* 您的身份为 */}
          <div style={{ fontSize: '16px', fontWeight: '600', marginBottom: '12px' }}>{t('authentication.subTitleRight2')}</div>
          <Form.Item name="identity">
            <Radio.Group>
              <div style={{ marginBottom: '24px' }}>
                <Radio style={{ fontSize: '16px' }} value="conpanyDirector">{t('authentication.directorInfoRadioValue1')}</Radio>
                <div style={{ paddingTop: '6px', color: '#bfbfbf' }}>{t('authentication.directorInfoRadioText1')}</div>
              </div>
              <div style={{ marginBottom: '24px' }}>
                <Radio style={{ fontSize: '16px' }} value="authorizedPerson">{t('authentication.directorInfoRadioValue2')}</Radio>
                <div style={{ paddingTop: '6px', color: '#bfbfbf' }}>{t('authentication.directorInfoRadioText2')}</div>
              </div>
            </Radio.Group>
          </Form.Item>
          {/* 企业董事 */}
          <div style={{ fontSize: '16px', fontWeight: '600', marginBottom: '36px' }}>{t('authentication.directorInfoRadioValue1')}</div>
          <Form.Item label={t('authentication.directorInfoLabel1')} wrapperCol={{ span: 17 }} name="directorCountry">
            <Select placeholder={t('authentication.directorInfoPlaceholder1')}>
              <Select.Option value={t('authentication.directorInfoSelectValue1')}>
                {t('authentication.directorInfoSelectValue1')}</Select.Option>
            </Select>
          </Form.Item>
          <Form.Item label={t('authentication.directorInfoLabel2')} name="directorIdType">
            <Radio style={{ fontSize: '16px' }} value={t('authentication.directorInfoRadioValue')}>{t('authentication.directorInfoRadioValue')}</Radio>
          </Form.Item>
          {/* 请用手机扫描二维码拍摄上传 */}
          <div style={{ fontSize: '16px', fontWeight: '600', marginBottom: '12px' }}>{t('authentication.directorInfoSubTitle3')}</div>
          <Form.Item>
            <div style={{ color: '#bfbfbf' }}>{t('authentication.directorInfoContent1')}</div>
            <div style={{ color: '#bfbfbf' }}>{t('authentication.directorInfoContent2')}</div>
            <div style={{ color: '#bfbfbf' }}>{t('authentication.directorInfoContent3')}</div>
            <div style={{ color: 'red' }}>{t('authentication.directorInfoContent4')}</div>
            <Button type="link" style={{ padding: '4px 0' }}>{t('authentication.uploadBtnText')}</Button>
          </Form.Item>
          <Form.Item name="directorIdFront">
            <div className="directorInfo-img-box">
              <div style={{ fontSize: '16px' }}>{t('authentication.directorInfoSubTitle1')}</div>
              <div>
                <Image width={100} height={100} preview={false} src="./img/empty.png" />
                <div className="directorInfo-img-right-text">{t('authentication.directorInfoIDCardRightText')}</div>
              </div>
              <div style={{ marginTop: '24px', fontSize: '16px' }}>{t('authentication.directorInfoSubTitle2')}</div>
              <div>
                <Image width={100} height={100} preview={false} src="./img/empty.png" />
                <div className="directorInfo-img-right-text">{t('authentication.directorInfoIDCardRightText')}</div>
              </div>
            </div>
          </Form.Item>
          <Form.Item label={t('authentication.directorInfoLabel3')} wrapperCol={{ span: 17 }} name="directorIdBack">
            <Input placeholder={t('authentication.directorInfoInputPlaceholder2')} />
            {/* <Input.Group>
              <Row>
                <Col span={8}>
                  <Input placeholder={t('authentication.directorInfoInputPlaceholder1')} size="large" />
                </Col>
                <Col span={8} style={{ marginLeft: '36px' }}>
                  <Input placeholder={t('authentication.directorInfoInputPlaceholder2')} size="large" />
                </Col>
              </Row>
            </Input.Group> */}
          </Form.Item>
          <Form.Item label={t('authentication.directorInfoLabel4')} wrapperCol={{ span: 17 }} name="directorIdNo">
            <Input placeholder={t('authentication.directorInfoInputPlaceholder3')} size="large" />
          </Form.Item>
          {/* 其他董事 */}
          <div style={{ fontSize: '16px', fontWeight: '600' }}>{t('authentication.directorInfoOtherDirectors')}</div>
          <Button type="primary" htmlType="submit" style={{ width: '6vw' }}>{t('authentication.foundationInfoNextBtn')}</Button>
        </Card>

      </Form>
    </>
  )
}