import React from "react";
import { Modal, Statistic, Button } from "antd";
import { LinkOutlined } from '@ant-design/icons'
import { useTranslation } from 'react-i18next';
const { Countdown } = Statistic;

export default (props) => {
  const { open, setOpen } = props;
  const { t } = useTranslation();
  return (
    <Modal
      title={
        <div style={{ textAlign: "center", fontWeight: "bold" }}>
          {t('authentication.FaceRecognitionModalTitle')}
        </div>
      }
      open={open}
      onOk={props.onOk}
      onCancel={() => setOpen(false)}
      footer={null}
    >
      <div style={{ fontSize: "15px", marginBottom: "12px" }}>{t('authentication.FaceRecognitionModalContent1')}</div>
      <div style={{ fontSize: "14px" }}>
        {t('authentication.FaceRecognitionModalTip1')}
        <Countdown
          value={Date.now() + 10 * 1000}
          format="mm:ss"
          style={{ color: "red", display: "inline-block" }}
        />
        {t('authentication.FaceRecognitionModalTip2')}
      </div>
      <div style={{ fontSize: "16px", margin: "24px 0", textAlign: "center" }}>{t('authentication.FaceRecognitionDirector')}XX</div>
      <div style={{ display: "flex", justifyContent: "center" }}>
        <Button type="primary"><LinkOutlined />{t('authentication.FaceRecognitionBtn')}</Button>
      </div>
    </Modal>
  )
}