import React from "react";
import { Divider, Card, Steps, Button, Radio, Form, Input, Row, Col, Select } from "antd";
import UploadFile from "@/components/Upload/UploadFile";
import { useTranslation } from 'react-i18next';
import { postTaCompanyInfo } from "@/services/taCompanyInfo";
import "../style.less";

export default (props) => {
  const { index, setIndex } = props;
  const [form] = Form.useForm();
  const { t } = useTranslation();

  const onFinish = (values) => {
    console.log('values', values);
    postTaCompanyInfo(values).then((res) => {
      setIndex(index + 1);
    });
  };

  return (
    <>
      <div style={{ fontSize: '24px', fontWeight: '400' }}>{t('authentication.titleRight')}</div>
      {/* <Card bordered={false} style={{ width: '900px', marginBottom: '24px' }}>
        <div style={{ color: 'red', fontWeight: '600' }}>{t('authentication.rightTopSubTitle')}</div>
        <div style={{ color: '#bfbfbf' }}>{t('authentication.rightTopText')}</div>
      </Card> */}
      <Form
        form={form}
        layout="vertical"
        onFinish={onFinish}
        size="large"
      >
        <Card bordered={false} style={{ width: '900px', marginBottom: '24px' }}>
          <div style={{ fontSize: '16px', fontWeight: '600', marginBottom: '40px' }}>{t('authentication.subTitleRight')}</div>
          <Form.Item name="certificateIncorporation" label={t('authentication.uploadTitle1')}>
            <UploadFile />
          </Form.Item>
          <Form.Item name="companyBusinessRegistration" label={t('authentication.uploadTitle2')}>
            <UploadFile />
            {/* <div style={{ padding: '0 15px', fontWeight: '600' }}>4.{t('authentication.uploadPromptTextII4')}</div> */}
          </Form.Item>
          <Form.Item name="nnc1Nar1" label={t('authentication.uploadTitle3')}>
            <UploadFile />
            {/* <div style={{ padding: '0 15px', color: '#bfbfbf' }}>{t('authentication.uploadPromptTextIII4')}</div>
                <div style={{ padding: '0 15px', fontWeight: '600' }}>5.{t('authentication.uploadPromptTextII4')}</div> */}
          </Form.Item>
          <Form.Item name="otherAnnex" label={t('authentication.uploadTitle4')}>
            <UploadFile />
          </Form.Item>
        </Card>
        <Card bordered={false} style={{ width: '900px', marginBottom: '24px' }}>
          <Form.Item label={t('authentication.formRightLabel1')} wrapperCol={{ span: 18 }} name="companyType">
            <Radio.Group>
              <Radio
                style={{ fontSize: '16px', fontWeight: '600', paddingBottom: '12px' }}
                value={t('authentication.enterpriseTypeRadio1')}
              >{t('authentication.enterpriseTypeRadio1')}</Radio>
              <Radio
                style={{ fontSize: '16px', fontWeight: '600', paddingBottom: '12px' }}
                value={t('authentication.enterpriseTypeRadio2')}
              >{t('authentication.enterpriseTypeRadio2')}</Radio>
              <Radio
                style={{ fontSize: '16px', fontWeight: '600', paddingBottom: '12px' }}
                value={t('authentication.enterpriseTypeRadio3')}
              >{t('authentication.enterpriseTypeRadio3')}</Radio>
              <Radio
                style={{ fontSize: '16px', fontWeight: '600' }}
                value={t('authentication.enterpriseTypeRadio4')}
              >{t('authentication.enterpriseTypeRadio4')}</Radio>
            </Radio.Group>
          </Form.Item>
          <Form.Item label={t('authentication.formRightLabel2')} wrapperCol={{ span: 18 }} name="businessRegistrationNum">
            <Input placeholder={t('authentication.formRightPlaceholder')} />
            {/* <Input.Group>
              <Row>
                <Col span={8}>
                  <Input placeholder="12345678" size="large" />
                </Col>
                <Col span={4}><Input placeholder="000" size="large" /></Col>
              </Row>
            </Input.Group> */}
          </Form.Item>


          <Form.Item label={t('authentication.formRightLabel3')} wrapperCol={{ span: 18 }} name="registerCountry">
            <Select placeholder={t('authentication.formRightPlaceholder2')}>
              <Select.Option value={t('authentication.formRightSelect1')}>{t('authentication.formRightSelect1')}</Select.Option>
            </Select>
          </Form.Item>

          <Form.Item wrapperCol={{ span: 18 }} name="registerProvinceRegion">
            <Select placeholder={t('authentication.formRightSelectPlaceholder1')}>
              <Select.Option value="北京">北京</Select.Option>
            </Select>
          </Form.Item>
          <Form.Item wrapperCol={{ span: 18 }} name="registerCity">
            <Input placeholder={t('authentication.formRightInputPlaceholder2')} />
          </Form.Item>
          <Form.Item wrapperCol={{ span: 18 }} name="registerSpecificAddress">
            <Input placeholder={t('authentication.formRightInputPlaceholder3')} />
          </Form.Item>
          <Form.Item wrapperCol={{ span: 18 }} name="registerPostalCode">
            <Input placeholder={t('authentication.formRightInputPlaceholder4')} />
          </Form.Item>
          {/* 实际经营地址 */}
          <Form.Item label={t('authentication.formRightLabel3')} wrapperCol={{ span: 18 }} name="realityCountry">
            <Select placeholder={t('authentication.formRightSelectPlaceholder1')}>
              <Select.Option value="中国香港（地区）">中国香港（地区）</Select.Option>
            </Select>
          </Form.Item>

          <Form.Item wrapperCol={{ span: 18 }} name="realityProvinceRegion">
            <Select placeholder={t('authentication.formRightSelectPlaceholder1')}>
              <Select.Option value="北京">北京</Select.Option>
            </Select>
          </Form.Item>
          <Form.Item wrapperCol={{ span: 18 }} name="realityCity">
            <Input placeholder={t('authentication.formRightInputPlaceholder2')} />
          </Form.Item>
          <Form.Item wrapperCol={{ span: 18 }} name="realitySpecificAddress">
            <Input placeholder={t('authentication.formRightInputPlaceholder3')} />
          </Form.Item>
          <Form.Item wrapperCol={{ span: 18 }} name="realityPostalCode">
            <Input placeholder={t('authentication.formRightInputPlaceholder4')} />
          </Form.Item>

          <Form.Item label={t('authentication.formRightLabel5')} wrapperCol={{ span: 18 }} name="numEmployees">
            <Select placeholder={t('authentication.formRightInputPlaceholder5')}>
              <Select.Option value={t('authentication.formRightInputNumber1')}>{t('authentication.formRightInputNumber1')}</Select.Option>
              <Select.Option value={t('authentication.formRightInputNumber2')}>{t('authentication.formRightInputNumber2')}</Select.Option>
              <Select.Option value={t('authentication.formRightInputNumber3')}>{t('authentication.formRightInputNumber3')}</Select.Option>
            </Select>
          </Form.Item>
          <Form.Item label={t('authentication.formRightLabel6')} wrapperCol={{ span: 18 }} name="businessPremisesType">
            <Select placeholder={t('authentication.formRightInputPlaceholder6')}>
              <Select.Option value={t('authentication.formRightInputPlace1')}>{t('authentication.formRightInputPlace1')}</Select.Option>
              <Select.Option value={t('authentication.formRightInputPlace2')}>{t('authentication.formRightInputPlace2')}</Select.Option>
              <Select.Option value={t('authentication.formRightInputPlace3')}>{t('authentication.formRightInputPlace3')}</Select.Option>
              <Select.Option value={t('authentication.formRightInputPlace4')}>{t('authentication.formRightInputPlace4')}</Select.Option>
            </Select>
          </Form.Item>
          <Button type="primary" size="large" style={{ width: '6vw' }} htmlType="submit">{t('authentication.foundationInfoNextBtn')}</Button>
        </Card>
      </Form>
    </>
  )
}